// Patching to support node.js extensions.

import * as util from 'util';
import { Record, Bytes, Annotated, Set, Dictionary } from './values';

[Bytes, Annotated, Record, Set, Dictionary].forEach((C) => {
    C.prototype[util.inspect.custom] = function (_depth: any, _options: any) {
        return this.asPreservesText();
    };
});

Record.fallbackToString = util.inspect;
